# Class GetOfferRequest

#### Hierarchy

- unknown
  - GetOfferRequest

- Defined in src/protobuf/grpc_pb.d.ts:1346
- Defined in src/protobuf/grpc_pb.d.ts:1358

#####
Index

### Constructors

constructor

### Methods

getId
serializeBinary
setId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetOfferRequest(): GetOfferRequest

- #### Returns GetOfferRequest

  Inherited from jspb.Message.constructor

## Methods

### getId

- getId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:1347

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1350

### setId

- setId(value: string): GetOfferRequest

- #### Parameters

  - ##### value: string

  #### Returns GetOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1348

### toObject

- toObject(includeInstance?: boolean): GetOfferRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1351

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOfferRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1354

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOfferRequest, reader: BinaryReader): GetOfferRequest

- #### Parameters

  - ##### message: GetOfferRequest

  - ##### reader: BinaryReader

  #### Returns GetOfferRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1355

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOfferRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1353

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetOfferRequest): GetOfferRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOfferRequest

  #### Returns GetOfferRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1352

Generated using TypeDoc